Loading...
Searching...
No Matches
gitfan::facet_compare Struct Reference

`#include <gitfan.h>`

## Public Member Functions

bool | operator() (const facet &f, const facet &g) const

## Detailed Description

Definition at line 37 of file gitfan.h.

## Member Function Documentation

## operator()()

bool gitfan::facet_compare::operator() | ( | const facet & | f,
|  | const facet & | g ) const

inline

Definition at line 39 of file gitfan.h.

{
const gfan::ZVector v1 = f.interiorPoint;
const gfan::ZVector v2 = g.interiorPoint;
#ifndef SING_NDEBUG
assume(v1.size() == v2.size());
#endif
return v1 < v2;
}
g
g
Definition cfModGcd.cc:4098
f
FILE * f
Definition checklibs.c:9
assume
#define assume(x)
Definition mod2.h:389

The documentation for this struct was generated from the following file:

- Singular/dyn_modules/gitfan/gitfan.h